Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0018329
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2011-08-19 14:592011-09-01 18:04
ReporteregoitzView Statuspublic 
Assigned Tomarvintm 
PriorityurgentResolutionfixedFixed in Version3.0MP3
StatusclosedFix in branchFixed in SCM revision339363457926
ProjectionnoneETAnoneTarget Version3.0MP3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product Version3.0MP2SCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0018329: It is not possible to assing values on the callout to output fields of a selector.

DescriptionIf you try to fill the output fields of a selector from a callout, you are not able to do that because the element does not exist.
Steps To Reproduce-Add a new field on the sales invoice lines tab.
-Create a callout on that field in order to fill the product field and the outuput fields of the selector used on that product.
Proposed SolutionThe FormInitializationComponent only takes into account values of fields and auxiliar inputs.
That component should also manage output fields from selectos as hidden-inputs.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0040559)
hgbot (developer)
2011-08-30 17:50

Repository: erp/devel/pi
Changeset: 339363457926d96ab569da45249641d318d2c0ca
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Tue Aug 30 17:49:17 2011 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/339363457926d96ab569da45249641d318d2c0ca [^]

Fixed issue 18329. Output fields can now be assigned by callouts. The following changes have been made:
- In the FIC, a new list of hidden fields is maintained. This list is filled with every response item produced by a callout which starts by 'inp', and doesn't correspond to a column name, or auxiliary input name. These items are written to the request so that subsequent callouts can use them.
- In the client, in the processFICRequest method, this list will be read, and its values will be set in the hiddenInputs object of the form.

---
M modules/org.openbravo.client.application/src/org/openbravo/client/application/window/FormInitializationComponent.java
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/ob-view-form.js
---
(0040635)
hudsonbot (developer)
2011-08-31 17:20

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/f184d98cb917 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2011-08-19 14:59 egoitz New Issue
2011-08-19 14:59 egoitz Assigned To => marvintm
2011-08-19 14:59 egoitz Modules => Core
2011-08-30 17:50 hgbot Checkin
2011-08-30 17:50 hgbot Note Added: 0040559
2011-08-30 17:50 hgbot Status new => resolved
2011-08-30 17:50 hgbot Resolution open => fixed
2011-08-30 17:50 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/339363457926d96ab569da45249641d318d2c0ca [^]
2011-08-31 17:20 hudsonbot Checkin
2011-08-31 17:20 hudsonbot Note Added: 0040635
2011-09-01 18:04 rafademiguel Status resolved => closed
2011-09-01 18:04 rafademiguel Fixed in Version => 3.0MP3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker